VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3915
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4335
   LinkTopic       =   "Form1"
   ScaleHeight     =   3915
   ScaleWidth      =   4335
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtModifiedAfter 
      Height          =   285
      Left            =   120
      TabIndex        =   0
      Text            =   "10/7/03"
      Top             =   120
      Width           =   855
   End
   Begin VB.TextBox txtDirectory 
      Height          =   285
      Left            =   840
      TabIndex        =   2
      Top             =   600
      Width           =   3375
   End
   Begin VB.CommandButton cmdFind 
      Caption         =   "Find"
      Default         =   -1  'True
      Height          =   375
      Left            =   1800
      TabIndex        =   3
      Top             =   960
      Width           =   735
   End
   Begin VB.TextBox txtModifiedBefore 
      Height          =   285
      Left            =   2280
      TabIndex        =   1
      Text            =   "10/7/03"
      Top             =   120
      Width           =   855
   End
   Begin VB.ListBox lstResults 
      Height          =   2400
      Left            =   120
      TabIndex        =   4
      Top             =   1440
      Width           =   4095
   End
   Begin VB.Label Label1 
      Caption         =   "<= File Date <="
      Height          =   255
      Index           =   2
      Left            =   1080
      TabIndex        =   6
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "Directory"
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   5
      Top             =   600
      Width           =   735
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdFind_Click()
Dim ch As String
Dim dir_name As String
Dim path_name As String
Dim pos As Integer
Dim before_date As Date
Dim after_date As Date
Dim file_date As Date
Dim next_file As String
Dim files As String

    On Error GoTo Oops
    lstResults.Clear

    before_date = CDate(txtModifiedBefore.Text)
    after_date = CDate(txtModifiedAfter.Text)

    ' Add 1 day because the file modification
    ' date includes a time.
    before_date = DateAdd("d", 1, before_date)
    after_date = DateAdd("d", 1, after_date)

    ' Get the directory search pattern.
    dir_name = txtDirectory.Text
    ch = Right$(dir_name, 1)
    If ch = "\" Then
        dir_name = dir_name & "*.*"
        txtDirectory.Text = dir_name
    ElseIf ch <> "*" Then
        dir_name = dir_name & "\*.*"
        txtDirectory.Text = dir_name
    End If

    ' Get the directory path.
    pos = InStrRev(dir_name, "\")
    path_name = Left$(dir_name, pos)

    next_file = Dir$(dir_name)
    Do While Len(next_file) > 0
        ' Get the full file name.
        next_file = path_name & next_file

        ' See if it is not a directory.
        If Not (GetAttr(next_file) And vbDirectory) Then
            ' See if it was modified before
            ' the date.
            file_date = FileDateTime(next_file)
            If (file_date >= after_date) And _
               (file_date <= before_date) _
            Then
                ' List this file.
                lstResults.AddItem next_file & _
                    " (" & Format$(file_date) & ")"
            End If
        End If

        next_file = Dir$()
    Loop
    Exit Sub

Oops:
    MsgBox "Error " & Format$(Err.Number) & _
        " making list." & vbCrLf & _
        Err.Description
    Exit Sub
End Sub


Private Sub Form_Load()
    txtModifiedBefore.Text = Format$(Date, "short date")
    txtDirectory.Text = App.Path
End Sub

Private Sub Form_Resize()
Dim hgt As Single
Dim wid As Single

    hgt = ScaleHeight - lstResults.Top
    If hgt < 120 Then hgt = 120
    lstResults.Move 0, lstResults.Top, ScaleWidth, hgt

    wid = ScaleWidth - txtDirectory.Left
    If wid < 120 Then wid = 120
    txtDirectory.Width = wid
End Sub
